curl -X POST https://api.rapidcall.ai/api/kb/folders \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "name": "Product FAQ" }'
{
"folder": {
"id": "kb_folder_001",
"name": "Product FAQ",
"documentCount": 0,
"createdAt": "2026-04-02T12:00:00Z"
}
}
Knowledge Base
Create Folder
Create a new knowledge base folder
POST
/
api
/
kb
/
folders
curl -X POST https://api.rapidcall.ai/api/kb/folders \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "name": "Product FAQ" }'
{
"folder": {
"id": "kb_folder_001",
"name": "Product FAQ",
"documentCount": 0,
"createdAt": "2026-04-02T12:00:00Z"
}
}
Create a new folder to organize knowledge base documents.
string
required
Folder name.
curl -X POST https://api.rapidcall.ai/api/kb/folders \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "name": "Product FAQ" }'
{
"folder": {
"id": "kb_folder_001",
"name": "Product FAQ",
"documentCount": 0,
"createdAt": "2026-04-02T12:00:00Z"
}
}
